#
# Copyright (c) 2026, Chloe M.
# Provided under the BSD-3 clause
#
# Description:  OS core build script
# Author:		Chloe M.
#

.SILENT:
include ../mk/stos.mk

.PHONY: all
all: target ke machine

.PHONY: target
target:
	mkdir -p target/machine/
	rsync -avr head/arch/$(ST_TARGET_ARCH)/*.h target/machine/

.PHONY: ke
ke:
	cd ke/; $(MAKE) $(PASSDOWN_ARGS)

.PHONY: machine
machine:
	cd arch/$(ST_TARGET_ARCH)/; $(MAKE) $(PASSDOWN_ARGS)
